> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statement

> Retrieve an individual statement URL, based on the statement's id. By default, this request returns a redirect (HTTP 307 code) to a temporary statement URL (valid for 15min).

Authorization: `login_identity_token`

## Optional parameters

### Redirect mode for statement URL

URL parameter: `redirect`

(e.g. GET /statements/{statement_id}?redirect=false)

Description: Toggles the behaviour for how statement URLs are returned.

Recommended value: omit. This results in the default behaviour (`redirect=true`).

Accepted values:



## OpenAPI

````yaml /api-reference/openapi.json get /statements/{statementId}
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /statements/{statementId}:
    get:
      tags:
        - statements
      summary: Get statement
      description: "Retrieve an individual statement URL, based on the statement's id. By default, this request returns a redirect (HTTP 307 code) to a temporary statement URL (valid for 15min).\n\nAuthorization: `login_identity_token`\n\n## Optional parameters\n\n### Redirect mode for statement URL\n\nURL parameter:\_`redirect`\n\n(e.g. GET /statements/{statement_id}?redirect=false)\n\nDescription: Toggles the behaviour for how statement URLs are returned.\n\nRecommended value:\_omit. This results in the default behaviour (`redirect=true`).\n\nAccepted values:"
      operationId: getStatement
      parameters:
        - description: The statement id
          name: statementId
          in: path
          required: true
          schema:
            type: string
        - description: >-
            when true, response will be http redirect; otherwise it will be json
            response with the download link
          name: redirect
          in: query
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStatementLinkResponse'
              examples:
                redirect_false:
                  summary: Success (redirect=false)
                  value:
                    statement_links:
                      - expiry: '2022-06-27T03:42:33.724Z'
                        statement_id: 01G62D96P4YB0N85A8D5JTM7XH
                        url: >-
                          https://storage.googleapis.com/dev2-secret-bank-integrations/01G62D8BKXA4VEYRCK1HBJ396D/statements/01G62D9575G376SJQQ8WDS4YQM.pdf?Expires=1656301353&GoogleAccessId=b-dev2-secret-sensitive-data%40finversedev1.iam.gserviceaccount.com&Signature=ZjCnpk9vB%2FjXT%2Fe7FI8ppb%2BuN9Pe1JKJplLsYYk%2BLQOUtpY%2BrJ3I%2B%2BAeGf817MkNy9soRYHQxY2yZIGO1amXTiaBHp%2Bvuz88ctLnRyc5zjbVMFra96oz5haHarbShUuTpMQzdDpTGcJaLp3mDGX8D951bzmURn73AssX0v9dFtp%2Feakz1qa%2FClYwb5oG%2F2rRXKht399%2F7Z0zionHoBXyiJPBspU76x6RzJI4YYvxWH36hTUVJQa5W4OCmFJPxy82OE9%2BY3ykjbMenEgvIWZ%2BU7GfNShAsWG2nlKh7z7e2Xnyup%2FcLRGkYJEJ9ENKrWhIC253crN4kz4Qf8kC7cP6Pw%3D%3D
        '307':
          description: Redirect
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
              examples:
                statement_not_found:
                  summary: Error (Statement not found)
                  value:
                    error:
                      code: 40004
                      error_code: STATEMENT_NOT_FOUND
                      message: >-
                        statement_id cannot be found. Resource does not exist,
                        has been deleted, or is no longer accessible.
                      request_id: '{unique_id}'
                      type: API_ERROR
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
      security:
        - Oauth2:
            - statement:read
components:
  schemas:
    GetStatementLinkResponse:
      properties:
        statement_links:
          type: array
          items:
            $ref: '#/components/schemas/StatementLink'
    BadRequestModelV2:
      properties:
        error:
          type: object
          required:
            - type
            - code
            - error_code
            - message
            - request_id
          properties:
            code:
              type: integer
              example: 40004
            details:
              type: string
            error_code:
              type: string
              example: CREDENTIALS_INVALID
            message:
              type: string
            request_id:
              description: The request_id provided in the request header
              type: string
            type:
              description: The error type
              type: string
              enum:
                - LINK_ERROR
                - API_ERROR
              example: LINKING_ERROR
    StatementLink:
      properties:
        expiry:
          description: expiry of the signedURL
          type: string
          format: date-time
        statement_id:
          type: string
          example: sadasd
        url:
          description: signedURL to download statement
          type: string
          example: https://www.finverse.net/statement.pdf
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````